Subject: [bug#71024] Update diffoscope to 267 (with xz bonus update)

From: Vagrant Cascadian <[email-masked]>
Date: Fri, 17 May 2024 18:46:53 -0700

The upcoming patches update diffoscope to 267, which requires a newer
version of xz to pass the test suites (No, no, not the *evil* versions,
just the same version that is in core-updates, 5.4.5! (although that
version has shadows cast on it too due to involvement of a certain
infamous internet identity, caveat emptor)).

I made a versioned xz variant to avoid a world rebuild so we can update
diffoscope before updating core-updates, hopefully I did it mostly
right... :)

Uhhh... so yeah, send in the clowns... er, patches!

live well,
  vagrant